﻿using System;

namespace AppointmentCommon
{
    public static class Helpers
    {
        public static string[] randomStrings = {"a", "about", "all", "also", "and", "as", "at", "be", "because", "but", "by", "can", "come", "could", "day", "do", "even", "find", "first", "for", "from", "get", "give", "go", "have", "he", "her", "here", "him", "his", "how", "I", "if", "in", "into", "it", "its", "just", "know", "like", "look", "make", "man", "many", "me", "more", "my", "new", "no", "not", "now", "of", "on", "one", "only", "or", "other", "our", "out", "people", "say", "see", "she", "so", "some", "take", "tell", "than", "that", "the", "their", "them", "then", "there", "these", "they", "thing", "think", "this", "those", "time", "to", "two", "up", "use", "very", "want", "way", "we", "well", "what", "when", "which", "who", "will", "with", "would", "year", "you", "your"};

        private static Random _rng;
        public static Random RNG
        {
            get { return _rng ?? (_rng = new Random()); }
        }

        public static string RandomName()
        {
            return randomStrings[RNG.Next(100)];
        }

        public static bool RandomBool(double chance)
        {
            return chance > RNG.NextDouble();
        }

        public static int RandomInt(int max)
        {
            return RNG.Next(max);
        }
    }
}
